Bug 73891 - Third PDC20269 controller in system dosen't work
Summary: Third PDC20269 controller in system dosen't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-12 22:46 UTC by dharris
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/pci file from system (via cut-and-paste) (3.38 KB, text/plain)
2002-09-12 22:48 UTC, dharris
no flags Details

Description dharris 2002-09-12 22:46:16 UTC
Description of Problem:

When I install three Promise PDC20269 chipset-based ATA-133 controllers (Maxtor 
Ultra 133 TX2) in my system, the drives on the third controller are not 
accessible. The ide subsystem recognizes the presence of the drives, but 
reading and writing to them is not possible and throws errors on the screen.

I've played around with hdparam trying to get the drives to work without 
success. I have had success with a mandrake kernel that looks like it has a 
later version of the ide driver code. (More on that below.)

Version-Release number of selected component (if applicable):

kernel-2.4.18-5

How Reproducible:

Always.

Steps to Reproduce:
1. Install three Maxtor Ultra 133 TX2 controllers.
2. Attach a drive to each controller.
3. Boot into kernel-2.4.18-5
4. Read the first block from the last drive.

Actual Results:

[root@remotebackup root]# dd if=/dev/hdo of=/dev/null count=1
dd: reading `/dev/hdo': Input/output error
0+0 records in
0+0 records out

The following is logged to the console:
end_request: I/O error, dev 59:00 (hdo), sector 0
end_request: I/O error, dev 59:00 (hdo), sector 2
end_request: I/O error, dev 59:00 (hdo), sector 4
end_request: I/O error, dev 59:00 (hdo), sector 6

Expected Results:

[root@remotebackup root]# dd if=/dev/hdk of=/dev/null count=1
1+0 records in
1+0 records out

Additional Information:

I've been using the Mandrake version kernel-2.4.18.8.1mdk-1-3mdk which allows 
all three controllers to work without problem. No hdparam settings are 
required. So, I think this problem has been fixed in later ide driver code. 

For your convenience, here is the kernel that works:

ftp://ftp.rutgers.edu/pub/mandrake/Mandrake/updates/8.2/RPMS/kernel-
2.4.18.8.1mdk-1-3mdk.i586.rpm

ftp://ftp.rutgers.edu/pub/mandrake/Mandrake/updates/8.2/SRPMS/kernel-
2.4.18.8.1mdk-1-3mdk.src.rpm

Comment 1 dharris 2002-09-12 22:48:57 UTC
Created attachment 75984 [details]
/proc/pci file from system (via cut-and-paste)

Comment 2 Bugzilla owner 2004-09-30 15:39:55 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.